exempi(1)

NAME

exempi - command line tool to manipulate XMP metadata

SYNTAX

exempi { -h | [ -R ] [ -X ] [ -x [ -p ] ] [ { -w | -o <file> } ] [ { -g <prop_name> | -s <prop_name> -v <value> } ] } <files>

OPTIONS

-h: show this help

-R: don't reconcile

-x: dump XML

-p: wrap XML packet wrapper. Only for -x.

-X: file(s) is XMP

-w: write in place. Only for -s. Not compatible with -o.

-o <file>: file to write the output to.

-n <ns> <prefix>: set the prefix for a namespace.

-g <prop_name>: retrieve the value with prop_name.

-s <prop_name> -v <value>: retrieve or get the value.

<files> the files to read from.

SECURITY

The source code hasn't been audited for security. The command line tool doesn't have a strong input sanity checking easier.

Be careful not to run the tool as super-user. Be careful if you decide to use it in an online (web) application.

Patches and suggestions welcome.

AUHTORS

Exempi is written by Hubert Figuiere

It contains the XMP SDK written by Adobe Systems Inc.

LICENSE

Exempi is licensed under the BSD license.